<!DOCTYPE html>
{% extends 'base.html' %}
{% load static %}

<body>

{% block content %}
    <h1>Lista Parcele : </h1>
    <link rel="stylesheet" type="text/css" href="{% static 'all.css' %}">
    <script src="{% static 'all.js' %}"></script>

{#    <input type="text" id="myInput" onkeyup="searchFunction()" placeholder="Cauta parcela">#}

<p class="w3-center"><button id="buttonReset" onclick="performReset()" class="w3-button w3-grey w3-hover-light-grey">Reset</button></p>
<p class="w3-center"><button id="buttonReset" onclick="setsearch()" class="w3-button w3-grey w3-hover-light-grey">Cauta</button></p>

    <table class="list_t" id="parcel_t">
        <thead><tr><td> Cautare:</td>
             <td><input id="inputId" class="s-input" placeholder="Id..."></td>
             <td><input id="inputCounty" onkeyup="" class="s-input" placeholder="Judet..."></td>
             <td><input id="inputVillage" class="s-input" placeholder="Comuna..."></td>
             <td><input id="inputArea" class="s-input" placeholder="Zona..."></td>
             <td><input id="inputParcel" class="s-input" placeholder="Parcela..."></td>
             <td><input id="inputField" class="s-input" placeholder="Sola..."></td>
             <td><input id="inputSurface" class="s-input" placeholder="Suprafata..."></td>
            <td><input id="inputBuyer" class="s-input" placeholder="Cumparator..."></td></tr>


        <tr>
            <td>Select</td>
            <td>Id</td>
            <td>Judet</td>
            <td>Comuna</td>
            <td>Zona</td>
            <td>Parcela</td>
            <td>Sola</td>
            <td>Suprafata</td>
            <td>Cumparator</td>
        </tr>
</thead>

        {% for parcel in all_parcel %}

            <tr class="item">
                <td><input type="checkbox" id="parcel_checked" name="parcel_checked" value="selection_parcels"></td>
                <td>{{ parcel.pk }}</td>
                <td><a href="{% url 'parcel_details' pk=parcel.pk %}">{{ parcel.area.village.county.name }}</a></td>
                <td><a href="{% url 'parcel_details' pk=parcel.pk %}">{{ parcel.area.village.name }}</a></td>
                <td><a href="{% url 'parcel_details' pk=parcel.pk %}">{{ parcel.area }}</a></td>
                <td><a href="{% url 'parcel_details' pk=parcel.pk %}">{{ parcel.number }}</a></td>
                <td><a href="{% url 'parcel_details' pk=parcel.pk %}">{{ parcel.field_no }}</a></td>
                <td><a href="{% url 'parcel_details' pk=parcel.pk %}">{{ parcel.surface }}</a></td>
                <td><a href="{% url 'parcel_details' pk=parcel.pk %}">{{ parcel.owner }}</a></td>

            </tr>

        {% endfor %}</tbody>
    </table>
    <br>
    <br>
    <a href="{% url 'parcel_add' %}">
        <button class="sub_menu">AdaugaParcela</button>
    </a>
    <a href="{% url 'owner_add' %}">
        <button class="sub_menu">AdaugaProprietar</button>
    </a>
{% endblock content %}


</body>